#include <vector>
#include <iostream>
using namespace std;

int main(){

    int n, k, x;
    cin >> n >> k >> x;

    if(n - 4 > x){
        cout << -1 << endl;
        return 0;
    }

    vector<int> arr(n);
    arr[0] = 1;
    arr[1] = 2;
    arr[2] = 6;
    arr[3] = 7;

    for(int i = 4; i < n; i++)
        arr[i] = i - 1;


    for(int i = 0; i < n; i++)
        cout << arr[i] << " ";
    cout << endl;

    return 0;
}